## org.springframework.jmx.export
Class NotificationListenerBean

    java.lang.Object
      org.springframework.jmx.support.NotificationListenerHolder
          org.springframework.jmx.export.NotificationListenerBean

All Implemented Interfaces:
  InitializingBean

    public class NotificationListenerBean

extends NotificationListenerHolder
implements InitializingBean

Helper class that aggregates a `NotificationListener`, a `NotificationFilter`, and an arbitrary handback object.

Also provides support for associating the encapsulated `NotificationListener` with any number of MBeans from which it wishes to receive `Notifications` via the `mappedObjectNames` property.

Note: This class supports Spring bean names as `"mappedObjectNames"` as well, as alternative to specifying JMX object names. Note that only beans exported by the same `MBeanExporter` are supported for such bean names.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  `MBeanExporter.setNotificationListeners(org.springframework.jmx.export.NotificationListenerBean[])`

Field Summary

Fields inherited from class org.springframework.jmx.support.NotificationListenerHolder
`mappedObjectNames`

Constructor Summary
`NotificationListenerBean()` Create a new instance of the `NotificationListenerBean` class.
`NotificationListenerBean(NotificationListener notificationListener)` Create a new instance of the `NotificationListenerBean` class.

Method Summary
`void` `afterPropertiesSet()` Invoked by a BeanFactory after it has set all bean properties supplied (and satisfied BeanFactoryAware and ApplicationContextAware).

Methods inherited from class org.springframework.jmx.support.NotificationListenerHolder
`equals, getHandback, getNotificationFilter, getNotificationListener, getResolvedObjectNames, hashCode, setHandback, setMappedObjectName, setMappedObjectNames, setNotificationFilter, setNotificationListener`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationListenerBean

    public NotificationListenerBean()

  Create a new instance of the `NotificationListenerBean` class.

### NotificationListenerBean

    public NotificationListenerBean(NotificationListener notificationListener)

  Create a new instance of the `NotificationListenerBean` class.

  Parameters:
    `notificationListener` - the encapsulated listener

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()

  Description copied from interface: `InitializingBean`
  Invoked by a BeanFactory after it has set all bean properties supplied (and satisfied BeanFactoryAware and ApplicationContextAware).

  This method allows the bean instance to perform initialization only possible when all bean properties have been set and to throw an exception in the event of misconfiguration.

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`

Copyright © 2002-2008 The Spring Framework.